<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<div th:fragment="registration-form">
    <div th:if="${userError}"
         th:text="${userError}"
         class = "alert alert-danger"
         role="alert">
    </div>
    <!--
    <form th:action="@{/add-user}" method="post" th:object = "${user}" >
        <label> User Name : <input type="text" name="username"/> </label></div>
        <label> Password: <input type="password" name="password"/> </label></div>
        <th:block th:each="role : ${T(ua.yaroshenko.springapp.model.Role).values()}">
            <input type="checkbox" th:name="${role}" th:value="${role.displayValue}"/>
            <label th:text="${role.displayValue}"></label>
        </th:block>
        <div><input type="submit" value="Sign up"/></div>
    -->
    <form th:action="@{/add-user}" method="post" th:object = "${user}" >
        <div class="form-group" >
            <label class="col-sm-2" for="usernameInput">User name</label>
            <div class="col-sm-5">
                <input th:name="username" type="text" th:class = "'form-control' + (${usernameError}? ' is-invalid' : '')"
                       th:value = "${user}? ${user.username}"
                       id="usernameInput"  placeholder="Enter username">
                <div th:if ="${usernameError}" class="invalid-feedback">
                    <span th:text = "${usernameError}"></span>
                </div>
            </div>
            <div class="form-group mb-2">
                <label class="col-sm-2" for="passwordInput">Password</label>
                <div class="col-sm-5">
                    <input th:name="password" type="password" th:class = "'form-control' + (${passwordError}? ' is-invalid' : '')"
                           id="passwordInput"  placeholder="Enter password">
                    <div th:if ="${passwordError}" class="invalid-feedback">
                        <span th:text = "${passwordError}"></span>
                    </div>
                </div>
            </div>
            <div class="form-group mb-2">
                <label class="col-sm-2" for="password2Input">Retype password</label>
                <div class="col-sm-5">
                    <input th:name="password2" type="password" th:class = "'form-control' + (${password2Error}? ' is-invalid' : '')"
                           id="password2Input"  placeholder="Retype password">
                    <div th:if ="${password2Error}" class="invalid-feedback">
                        <span th:text = "${password2Error}"></span>
                    </div>
                </div>
            </div>
            <div class="form-group" >
                <label class="col-sm-2" for="emailInput">Email</label>
                <div class="col-sm-5">
                    <input th:name="email" type="email" th:class = "'form-control' + (${emailError}? ' is-invalid' : '')"
                           th:value = "${user}? ${user.email}"
                           id="emailInput"  placeholder="Enter email">
                    <div th:if ="${emailError}" class="invalid-feedback">
                        <span th:text = "${emailError}"></span>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="form-inline ml-3">
                    <select>
                        <option th:each="role : ${T(ua.yaroshenko.springapp.model.Role).values()}"
                                th:value="${role}" th:text="${role.displayValue}"></option>
                    </select>
                    </th:block>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="g-recaptcha" data-sitekey="6LezSusUAAAAAARPG8cR0slWjEfOShYLJCgidDlz"></div>
                <div th:if="${captchaError}"
                     class="alert alert-danger col-sm-6" role="alert"
                     th:text="${captchaError}">
                </div>
        </div>
            <div class="form-inline">
                <div class="ml-3">
                    <button type="submit" class="btn btn-primary">
                        Sign up
                    </button>
                </div>
                <div class="ml-3">
                    <a th:href="@{/login}"class="btn btn-info" role="button">Back</a>
                </div>
            </div>
        </div>
    </form>
</div>
